## ros-melodic-moveit-simple-controller-manager 1.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_simple_controller_manager)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED thread)

find_package(catkin COMPONENTS
  moveit_core
  pluginlib
  actionlib
  roscpp
  control_msgs
  REQUIRED)

include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

catkin_package(
  LIBRARIES
    ${PROJECT_NAME}
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    actionlib
    control_msgs
    moveit_core
    roscpp
)

add_library(${PROJECT_NAME}
  src/moveit_simple_controller_manager.cpp
  src/follow_joint_trajectory_controller_handle.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(FILES moveit_simple_controller_manager_plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
       )
install(DIRECTORY include/${PROJECT_NAME}/
       DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
       )

## ros-melodic-moveit-simple-controller-manager 1.0.7

=== debian/changelog ===
ros-melodic-moveit-simple-controller-manager (1.0.7-1stretch) stretch; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.6-1stretch) stretch; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.5-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.4-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.3-1stretch) stretch; urgency=high

  * [fix]   Handle "default" parameter in MoveitControllerManagers
    MoveIt{Fake|Simple}ControllerManager::getControllerState() now correctly returns current state
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]   ControllerManager: wait for done-callback (#1783 <https://github.com/ros-planning/moveit/issues/1783>)
  * Contributors: Robert Haschke, Sean Yen, Luca Lach

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.2-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.0-1stretch) stretch; urgency=high

  * [maintenance] cleanup SimpleControllerManager https://github.com/ros-planning/moveit/pull/1352
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.8-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.7-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.6-1stretch) stretch; urgency=high

  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 09 Dec 2018 07:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.5-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 01 Nov 2018 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.4-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.3-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.2-1stretch) stretch; urgency=high

  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 24 Oct 2018 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.1-1stretch) stretch; urgency=high

  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Contributors: Mikael Arguedas, Xiaojian Ma

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 25 May 2018 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.9.11-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 25 Dec 2017 07:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.9.10-1stretch) stretch; urgency=high

  * [capability][kinetic onward] optionally wait for controllers indefinitely (#695 <https://github.com/ros-planning/moveit/issues/695>)
  * Contributors: Bruno Brito, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 09 Dec 2017 07:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.9.9-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 06 Aug 2017 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.9.8-1stretch) stretch; urgency=high

  * [fix] include order (#529 <https://github.com/ros-planning/moveit/issues/529>)
  * Contributors: Michael Goerner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 21 Jun 2017 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.9.7-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 05 Jun 2017 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.9.6-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 Apr 2017 06:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.9.5-1stretch) stretch; urgency=high



=== debian/control ===
Source: ros-melodic-moveit-simple-controller-manager
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-moveit-core, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-simple-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-control-msgs, ros-melodic-moveit-core, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp
Description: A generic, simple controller manager plugin for MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-simple-controller-manager//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-moveit-simple-controller-manager 1.0.11

=== debian/changelog ===
ros-melodic-moveit-simple-controller-manager (1.0.11-1bionic) bionic; urgency=high

  * feat(simple_controller_manager): add max_effort parameter to GripperCommand action (#2984 <https://github.com/ros-planning/moveit/issues/2984>) (#3091 <https://github.com/ros-planning/moveit/issues/3091>)
  * Contributors: Michael Görner, Rick Staa

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.10-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.9-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.8-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.7-1bionic) bionic; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.6-1bionic) bionic; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.5-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.3-1bionic) bionic; urgency=high

  * [fix]   Handle "default" parameter in MoveitControllerManagers
    MoveIt{Fake|Simple}ControllerManager::getControllerState() now correctly returns current state
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]   ControllerManager: wait for done-callback (#1783 <https://github.com/ros-planning/moveit/issues/1783>)
  * Contributors: Robert Haschke, Sean Yen, Luca Lach

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (1.0.0-1bionic) bionic; urgency=high

  * [maintenance] cleanup SimpleControllerManager https://github.com/ros-planning/moveit/pull/1352
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.8-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.7-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.6-1bionic) bionic; urgency=high

  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.5-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 31 Oct 2018 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.3-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.2-1bionic) bionic; urgency=high

  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.10.1-1bionic) bionic; urgency=high

  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Contributors: Mikael Arguedas, Xiaojian Ma

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 24 May 2018 22:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.9.11-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-melodic-moveit-simple-controller-manager (0.9.10-1bionic) bionic; urgency=high

  * [capability][kinetic onward] optionally wait for controllers indefinitely (#695 <https://github.com/ros-planning/moveit/issues/695>)
  * Contributors: Bruno Brito, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Dec 2017 23:00:00 -0000



=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
